## org.apache.myfaces.custom.buffer
Class BufferRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.custom.buffer.BufferRenderer

public class BufferRenderer
extends javax.faces.render.Renderer

Version:
  $Revision: 215977 $ $Date: 2005-07-12 11:56:11 -0400 (Tue, 12 Jul 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: grantsmith $)

Field Summary
`static java.lang.String` `RENDERER_TYPE`

Constructor Summary
`BufferRenderer()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue, getRendersChildren`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RENDERER_TYPE

    public static final java.lang.String RENDERER_TYPE

See Also:
  Constant Field Values

Constructor Detail

### BufferRenderer

    public BufferRenderer()

Method Detail

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)